

function ConvertToCaps(input) //onkeyup="ConvertToCaps(this)"
{
    var input = document.getElementById(input.id);
    input.value = input.value.toUpperCase();
}

function digitonly(input,evt)//onkeypress="return digitonly(this,event)"
{
    var keyCode = evt.which ? evt.which : evt.keyCode;
	var lisShiftkeypressed = evt.shiftKey;
	if(lisShiftkeypressed && parseInt(keyCode) != 9) {
	return false ;
	}
	if((parseInt(keyCode)>=48 && parseInt(keyCode)<=57) || keyCode==37/*LFT ARROW*/ || keyCode==39/*RGT ARROW*/ || keyCode==8/*BCKSPC*/ || keyCode==46/*DEL*/ || keyCode==9/*TAB*/){
	return true;
	}
	return false;
}
    
    
    
function isAlpha ( evt )//onkeypress="return isAlpha(event)"
{
   var keyCode = evt.which ? evt.which : evt.keyCode;
   if(( keyCode >= 'a'.charCodeAt ( ) && keyCode <= 'z'.charCodeAt ( ) ) || ( keyCode >= 'A'.charCodeAt ( ) && keyCode <= 'Z'.charCodeAt ( ) ) || ( keyCode >= 8 && keyCode <= 46 ))
   return true;
   return false;

}

function disablecopypaste(input, evt)//onkeypress="return digitonly(this,event)"
{
    var keyCode = evt.which ? evt.which : evt.keyCode;
    var lisShiftkeypressed = evt.shiftKey;
    if (lisShiftkeypressed && parseInt(keyCode) != 9) {
        return false;
    }
    if ((parseInt(keyCode) >= 48 && parseInt(keyCode) <= 57) || keyCode == 37/*LFT ARROW*/ || keyCode == 39/*RGT ARROW*/ || keyCode == 8/*BCKSPC*/ || keyCode == 46/*DEL*/ || keyCode == 9/*TAB*/ || /*Copy*/keyCode == 3 || /*Paste*/keyCode == 6) {
        return true;
    }
    return false;
}
    


    
    function validate(input,e)//OnClientClick="return validate(this,event)"
	{
	    if (document.getElementById('TextBox1').value == "") 
	    {
	        alert("Please Enter Name !");
	        document.getElementById('TextBox1').focus();
	        return false;
	    }
		else 
		    if(document.getElementById('DropDownList1').value=="Select State")
		    {
			    alert("Please Select State!");
			    document.getElementById('DropDownList1').focus();
			    return false;
		    }		
		    else 
		    if (document.getElementById('TextBox5').value == "") 
		    {
		        alert("Please Enter City !");
		        document.getElementById('TextBox5').focus();
		        return false;
		    }
		    else 
		    if (document.getElementById('TextBox7').value == "") 
		    {
		        alert("Please Enter Pincode!");
		        document.getElementById('TextBox7').focus();
		        return false;
		    }
		    else 
		    if (document.getElementById('TextBox7').value.length < 6) 
		    {
		        alert("Pincode should not be less than 6 digits");
		        document.getElementById('TextBox7').focus();
		        return false;
		    }
    		else 
    		if (document.getElementById('TextBox2').value == "") 
    		{
		        alert("Please Enter Email_id !");
		        document.getElementById('TextBox2').focus();
		        return false;
		    }
		    else 
		    if (document.getElementById('TextBox2').value.indexOf("@") && document.getElementById('TextBox2').value.indexOf(".") == -1) 
		    {
		        alert("Please Enter a Valid Email-ID");
		        document.getElementById('TextBox2').focus();
		        return false;
		    }
		    else 
		    if (document.getElementById('TextBox4').value == "") 
		    {
		        alert("Please Enter Mobile No !");
		        document.getElementById('TextBox4').focus();
		        return false;
		    }
		    else 
		    if (document.getElementById('TextBox4').value.length < 10) 
		    {
		        alert("Mobile No should not be less than 10 digits");
		        document.getElementById('TextBox4').focus();
		        return false;
		    }
		    else 
		    if (document.getElementById('TextBox6').value == "") 
		    {
		        alert("Please Enter Message !");
		        document.getElementById('TextBox6').focus();
    		    return false;
		    }
		    else 
		    {
		        var input = document.getElementById(input.id);
		        input.disabled = true;
		        input.value = "Please Wait...";
		        e.returnValue = false;
		        e.cancelBubble = true;
		        document.getElementById("btnInv").click();
		    }
	}
	
	function reset()//OnClientClick="return reset()"
	{
	 document.getElementById('TextBox1').value=="";
	 document.getElementById('TextBox2').value=="";
	 document.getElementById('TextBox4').value=="";
	 document.getElementById('TextBox5').value=="";
	 document.getElementById('TextBox6').value=="";
	 document.getElementById('TextBox7').value=="";
	 document.getElementById('DropDownList1').value == "Select State";
	 return false;
    }
	
	function validate1(input, e)//OnClientClick="return validate1(this,event)"
	{
	    if (document.getElementById('DropDownList2').value == "Select Type") 
	    {
	        alert("Please Select Type!");
	        document.getElementById('DropDownList2').focus();
	        return false;
	    }
	    else 
	    if (document.getElementById('DropDownList1').value == "Select State") 
	    {
	        alert("Please Select State!");
	        document.getElementById('DropDownList1').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox5').value == "") 
	    {
	        alert("Please Enter City !");
	        document.getElementById('TextBox5').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox7').value == "") 
	    {
	        alert("Please Enter Pincode!");
	        document.getElementById('TextBox7').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox7').value.length < 6) 
	    {
	        alert("Pincode should not be less than 6 digits");
	        document.getElementById('TextBox7').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox1').value == "") 
	    {
	        alert("Please Enter Name !");
	        document.getElementById('TextBox1').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox2').value == "") 
	    {
	        alert("Please Enter Email_id !");
	        document.getElementById('TextBox2').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox2').value.indexOf("@") && document.getElementById('TextBox2').value.indexOf(".") == -1) 
	    {
	        alert("Please Enter a Valid Email-ID");
	        document.getElementById('TextBox2').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox4').value == "") 
	    {
	        alert("Please Enter Mobile No !");
	        document.getElementById('TextBox4').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox4').value.length < 10) 
	    {
	        alert("Mobile No should not be less than 10 digits");
	        document.getElementById('TextBox4').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox6').value == "") 
	    {
	        alert("Please Enter Message !");
	        document.getElementById('TextBox6').focus();
	        return false;
	    }
	    else 
	    {
	        var input = document.getElementById(input.id);
	        input.disabled = true;
	        input.value = "Please Wait...";
	        e.returnValue = false;
	        e.cancelBubble = true;
	        document.getElementById("btnInv").click();
	    }
	}
	function reset1()//OnClientClick="return reset1()"
	{
	    document.getElementById('TextBox1').value == "";
	    document.getElementById('TextBox2').value == "";
	    document.getElementById('TextBox4').value == "";
	    document.getElementById('TextBox5').value == "";
	    document.getElementById('TextBox6').value == "";
	    document.getElementById('TextBox7').value == "";
	    document.getElementById('DropDownList1').value == "Select State";
	    document.getElementById('DropDownList2').value == "Select Type";
	    return false;
	}
	function validate2(input, e)//OnClientClick="return validate(this,event)"
	{
	    if (document.getElementById('TextBox1').value == "") {
	        alert("Please Enter Name !");
	        document.getElementById('TextBox1').focus();
	        return false;
	    }
	    else 
	    if (document.getElementById('DropDownList1').value == "Select Type") 
	    {
	        alert("Please Select State!");
	        document.getElementById('DropDownList1').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox5').value == "") 
	    {
	        alert("Please Enter City !");
	        document.getElementById('TextBox5').focus();
	        return false;
	    }
	    else if (document.getElementById('TextBox7').value == "") 
	    {
	        alert("Please Enter Pincode!");

	        document.getElementById('TextBox7').focus();

	        return false;

	    }
	    else if (document.getElementById('TextBox7').value.length < 6) {
	        alert("Pincode should not be less than 6 digits");
	        document.getElementById('TextBox7').focus();
	        return false;
	    }

	    else if (document.getElementById('TextBox2').value == "") {
	        alert("Please Enter Email_id !");

	        document.getElementById('TextBox2').focus();

	        return false;

	    }
	    else if (document.getElementById('TextBox2').value.indexOf("@") && document.getElementById('TextBox2').value.indexOf(".") == -1) {
	        alert("Please Enter a Valid Email-ID");
	        document.getElementById('TextBox2').focus();
	        return false;
	    }


	    else if (document.getElementById('TextBox4').value == "") {

	        alert("Please Enter Mobile No !");

	        document.getElementById('TextBox4').focus();

	        return false;

	    }

	    else if (document.getElementById('TextBox4').value.length < 10) {
	        alert("Mobile No should not be less than 10 digits");
	        document.getElementById('TextBox4').focus();
	        return false;
	    }

	    else if (document.getElementById('TextBox3').value == "") {
	        alert("Please Enter Positon Applied for !");

	        document.getElementById('TextBox3').focus();

	        return false;

	    }
	    else if (document.getElementById('TextBox6').value == "") {
	        alert("Please Enter Preferred Location !");

	        document.getElementById('TextBox6').focus();

	        return false;

	    }
	    else if (document.getElementById('TextBox8').value == "") {
	        alert("Please Enter Self Description !");

	        document.getElementById('TextBox8').focus();

	        return false;

	    }

	    else {
	        var input = document.getElementById(input.id);
	        input.disabled = true;
	        input.value = "Please Wait...";
	        e.returnValue = false;
	        e.cancelBubble = true;
	        document.getElementById("btnInv").click();
	    }

	}

	function reset2()//OnClientClick="return reset()"
	{
	    document.getElementById('TextBox1').value == "";
	    document.getElementById('TextBox2').value == "";
	    document.getElementById('TextBox3').value == "";
	    document.getElementById('TextBox6').value == "";
	    document.getElementById('TextBox8').value == "";
	    document.getElementById('TextBox4').value == "";
	    document.getElementById('TextBox5').value == "";
	    document.getElementById('TextBox6').value == "";
	    document.getElementById('TextBox7').value == "";
	    document.getElementById('DropDownList1').value == "Select State";
	    return false;
	}
	
	function CloseModelPopup(divid) {
	    var divsid = document.getElementById(divid);
	    document.getElementById('MaskedDiv').style.display = 'none';
	    divsid.style.display = 'none';
	}
	function OpenModelPopup(divid) 
	{
	    var divsid = document.getElementById(divid);

	    divsid.style.visibility = 'visible';
	    divsid.style.display = '';
	    divsid.style.top = Math.round((document.documentElement.clientHeight / 2) + document.documentElement.scrollTop) - 225 + 'px';
	    divsid.style.left = Math.round((document.documentElement.clientWidth / 2) - 300) + 'px';

	    document.getElementById('MaskedDiv').style.display = '';
	    document.getElementById('MaskedDiv').style.visibility = 'visible';
	    document.getElementById('MaskedDiv').style.top = '0px';
	    document.getElementById('MaskedDiv').style.left = '0px';
	    document.getElementById('MaskedDiv').style.width = document.documentElement.clientWidth + 'px';
	    document.getElementById('MaskedDiv').style.height = document.documentElement.clientHeight + 'px';
	}
	
	//================
	function validate3(input, e)//OnClientClick="return validate(this,event)"
	{
	    if (document.getElementById('TextBox3').value == "") {

	        alert("Please Enter Name !");

	        document.getElementById('TextBox3').focus();

	        return false;

	    }

	   

	    else if (document.getElementById('TextBox1').value == "") {

	        alert("Please Enter Organisation Name !");

	        document.getElementById('TextBox1').focus();

	        return false;

	    }

	    

	    else if (document.getElementById('TextBox5').value == "") {
	        alert("Please Enter Email_id !");

	        document.getElementById('TextBox5').focus();

	        return false;

	    }
	     else if(document.getElementById('TextBox5').value!="")
{

var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;

var address=document.getElementById('TextBox5').value;

if(reg.test(address) == false)
{

alert('Please enter valid Email id');
document.getElementById('TextBox5').focus();
return false;
}

}
 if (document.getElementById('TextBox6').value == "") {

	        alert("Please Enter Phone No !");

	        document.getElementById('TextBox6').focus();

	        return false;

	    }

	    else if (document.getElementById('TextBox6').value.length < 10) {
	        alert("Phone No should not be less than 10 digits");
	        document.getElementById('TextBox6').focus();
	        return false;
	    }
	    
	    else if ((document.getElementById('TextBox6').value) / 1000000000 < 1)
        {
        alert("First Digit of Phone No could not be 0 !!!");
        document.getElementById('TextBox6').focus();
        return false;
        }

	    else if (document.getElementById('TextBox2').value == "") {
	        alert("Please Enter Your Web Site!");

	        document.getElementById('TextBox2').focus();

	        return false;

	    }
	    else if (document.getElementById('TextBox7').value == "") {
	        alert("Please Enter State in which Orgainsation is working !");

	        document.getElementById('TextBox7').focus();

	        return false;

	    }
	    
	    else {
	        var input = document.getElementById(input.id);
	        input.disabled = true;
	        input.value = "Please Wait...";
	        e.returnValue = false;
	        e.cancelBubble = true;
	        document.getElementById("btnInv").click();
	    }

	}
	
	function clearcontrol()//OnClientClick="return reset1()"
	{
	    document.getElementById("TextBox3").value="";
	    document.getElementById("TextBox1").value = "";
	    document.getElementById("TextBox5").value = "";
	    document.getElementById("TextBox6").value = "";
	    document.getElementById("TextBox2").value = "";
	    document.getElementById("TextBox7").value = "";
	    return false;
	}





	/////////////////////////////////////Validate Registration Form///////////////////////////////////////////////



	function validate(input, e)//OnClientClick="return validate(this,event)"
	{
	    if (document.getElementById('TextBox1').value == "") {
	        alert("Please Enter Name !");
	        document.getElementById('TextBox1').focus();
	        return false;
	    }
	    
//	    else
//	        if (document.getElementById('DropDownList1').value == "Select State") {
//	        alert("Please Select State!");
//	        document.getElementById('DropDownList1').focus();
//	        return false;
//	    }
//	    else
//	        if (document.getElementById('TextBox5').value == "") {
//	        alert("Please Enter City !");
//	        document.getElementById('TextBox5').focus();
//	        return false;
	    //	    }

	    else
	        if (document.getElementById('TextBox2').value == "") {
	        alert("Please Enter Company name!");
	        document.getElementById('TextBox2').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('TextBox3').value == "") {
	        alert("Please Enter Date of birth!");
	        document.getElementById('TextBox3').focus();
	        return false;
	    }
	    
	    
	    else
	        if (document.getElementById('TextBox4').value == "") {
	        alert("Please Enter Email_id !");
	        document.getElementById('TextBox4').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('TextBox4').value.indexOf("@") && document.getElementById('TextBox4').value.indexOf(".") == -1) {
	        alert("Please Enter a Valid Email-ID");
	        document.getElementById('TextBox4').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('TextBox5').value == "") {
	        alert("Please Enter Mobile No !");
	        document.getElementById('TextBox5').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('TextBox5').value.length < 10) {
	        alert("Mobile No should not be less than 10 digits");
	        document.getElementById('TextBox5').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('TextBox6').value == "") {
	        alert("Please Enter Phone No !");
	        document.getElementById('TextBox6').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('TextBox6').value.length < 10) {
	        alert("Phone No should not be less than 10 digits");
	        document.getElementById('TextBox6').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('TextBox7').value == "") {
	        alert("Please Enter Address1 !");
	        document.getElementById('TextBox7').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('TextBox8').value == "") {
	        alert("Please Enter Address2 !");
	        document.getElementById('TextBox8').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('TextBox9').value == "") {
	        alert("Please Enter PIN No !");
	        document.getElementById('TextBox9').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('TextBox10').value == "") {
	        alert("Please Enter PAN No !");
	        document.getElementById('TextBox10').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('TextBox12').value == "") {
	        alert("Please Enter User Id No !");
	        document.getElementById('TextBox12').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('TextBox13').value == "") {
	        alert("Please Enter Password !");
	        document.getElementById('TextBox13').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('TextBox14').value == "") {
	        alert("Please Enter Verification No !");
	        document.getElementById('TextBox14').focus();
	        return false;
	    }
	    
	    
	   
	}











	/////////////////////////////validate partner registration form/////////////////////////////////////////

	function partnerregistration(input, e)//OnClientClick="return validate(this,event)"
	{
	    if (document.getElementById('ctl00_ContentPlaceHolder1_ddl_type').value == "Select") {
	        alert("Please Select Type!");
	        document.getElementById('ctl00_ContentPlaceHolder1_ddl_type').focus();
	        return false;
	    }
	
	   else if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').value == "") {
	        alert("Please Enter Name !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').focus();
	        return false;
	    }
	   
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').value == "") {
	        alert("Please Enter Company name!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').value == "") {
	        alert("Please Enter Date of birth!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox4').value == "") {
	        alert("Please Enter Email_id !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox4').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox4').value.indexOf("@") && document.getElementById('ctl00_ContentPlaceHolder1_TextBox4').value.indexOf(".") == -1) {
	        alert("Please Enter a Valid Email-ID");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox4').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox5').value == "") {
	        alert("Please Enter Mobile No !");
	        document.getElementById('ctl00_ContentPlaceHolder1_').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox5').value.length < 10) {
	        alert("Mobile No should not be less than 10 digits");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox5').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox6').value == "") {
	        alert("Please Enter Phone No !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox6').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox6').value.length < 10) {
	        alert("Phone No should not be less than 10 digits");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox6').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox7').value == "") {
	        alert("Please Enter Address1 !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox7').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox8').value == "") {
	        alert("Please Enter Address2 !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox8').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox9').value == "") {
	        alert("Please Enter PIN No !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox9').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox10').value == "") {
	        alert("Please Enter PAN No !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox10').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox12').value == "") {
	        alert("Please Enter User Id No !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox12').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox13').value == "") {
	        alert("Please Enter Password !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox13').focus();
	        return false;
	    }
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox14').value == "") {
	        alert("Please Enter Verification No !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox14').focus();
	        return false;
	    }



	}

	function validatepartnerrefer(input, e) {
	    if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').value == "") {
	        alert("Please enter Email Id1");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').focus();
	        return false;
	    }

	    else if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').value != "") {

	        var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;

	        var address = document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').value;

	        if (reg.test(address) == false) {

	            alert('Please enter valid Email id');
	            document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').focus();
	            return false;
	        }

	    }




	    if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').value == "") {
	        alert("Please enter Email Id2");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').focus();
	        return false;
	    }

	    else if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').value != "") {

	        var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;

	        var address = document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').value;

	        if (reg.test(address) == false) {

	            alert('Please enter valid Email id');
	            document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').focus();
	            return false;
	        }

	    }


	    if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').value == "") {
	        alert("Please enter Email Id3");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').focus();
	        return false;
	    }

	    else if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').value != "") {

	        var reg = /^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/;

	        var address = document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').value;

	        if (reg.test(address) == false) {

	            alert('Please enter valid Email id');
	            document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').focus();
	            return false;
	        }

	    }



	    var input = document.getElementById(input.id);
	    input.disabled = true;
	    input.value = "Please Wait...";
	    e.returnValue = false;
	    e.cancelBubble = true;
	    document.getElementById("ctl00_ContentPlaceHolder1_btnInv").click();
	}


	function validatedthrecharge(input, e)//OnClientClick="return validate(this,event)"
	{
	    if (document.getElementById('ctl00_ContentPlaceHolder1_DropDownList2').value == "Select") {
	        alert("Please Select Operator!");
	        document.getElementById('ctl00_ContentPlaceHolder1_DropDownList2').focus();
	        return false;
	    }

	    else if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').value == "") {
	        alert("Please Enter Subscriber Id !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').focus();
	        return false;
	    }


	    else if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox12').value == "") {
	        alert("Please Enter Mobile !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox12').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').value == "") {
	        alert("Please Enter Amount!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').focus();
	        return false;
	    }
	}

	function validatemobilerecharge(input, e)//OnClientClick="return validate(this,event)"
	{
	    if (document.getElementById('ctl00_ContentPlaceHolder1_DropDownList3').value == "Select") {
	        alert("Please Select Operator!");
	        document.getElementById('ctl00_ContentPlaceHolder1_DropDownList3').focus();
	        return false;
	    }

	    else if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').value == "") {
	        alert("Please Enter Circle !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox5').value == "") {
	        alert("Please Enter Mobile No!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox5').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox4').value == "") {
	        alert("Please Enter Amount!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox4').focus();
	        return false;
	    }
	}

	function validatemobilebillpay(input, e)//OnClientClick="return validate(this,event)"
	{
	    if (document.getElementById('ctl00_ContentPlaceHolder1_DropDownList4').value == "Select") {
	        alert("Please Select Operator!");
	        document.getElementById('ctl00_ContentPlaceHolder1_DropDownList4').focus();
	        return false;
	    }

	    else if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox6').value == "") {
	        alert("Please Enter Circle !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox6').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox7').value == "") {
	        alert("Please Enter Mobile No!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox7').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox8').value == "") {
	        alert("Please Enter Amount!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox8').focus();
	        return false;
	    }
	}

	function bsnllandlinebill(input, e)//OnClientClick="return validate(this,event)"
	{
	    if (document.getElementById('ctl00_ContentPlaceHolder1_DropDownList5').value == "Select") {
	        alert("Please Select Operator!");
	        document.getElementById('ctl00_ContentPlaceHolder1_DropDownList5').focus();
	        return false;
	    }

	    else if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox10').value == "") {
	        alert("Please Enter Landline Number and STD Code !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox10').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox11').value == "") {
	        alert("Please Enter Amount!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox11').focus();
	        return false;
	    }
	}



	////open div when upload request for balance

	function showdiv(selectedItemValue) {

	    var div1 = document.getElementById("div_cash");

	    if (selectedItemValue == 'Select') {
	        document.getElementById("div_cash").style.display = 'none';
	        document.getElementById("div_etransfer").style.display = 'none';
	        document.getElementById("div_chq_dd").style.display = 'none';
	        document.getElementById("div_common").style.display = 'none';
	        document.getElementById("div_cheque").style.display = 'none';
	        document.getElementById("div_etransferbtn").style.display = 'none';
	    }

	    if (selectedItemValue == 'Cash') {
	        document.getElementById("div_cash").style.display = 'block';
	        document.getElementById("div_common").style.display = 'none';
	        document.getElementById("div_etransfer").style.display = 'none';
	        document.getElementById("div_chq_dd").style.display = 'none';
	        document.getElementById("div_cheque").style.display = 'none';
	        document.getElementById("div_etransferbtn").style.display = 'none';
	    }

	    if (selectedItemValue == 'Cheque/DD') {
	        document.getElementById("div_cash").style.display = 'none';
	        document.getElementById("div_etransfer").style.display = 'none';
	        document.getElementById("div_chq_dd").style.display = 'block';
	        document.getElementById("div_common").style.display = 'block';
	        document.getElementById("div_cheque").style.display = 'block';
	        document.getElementById("div_etransferbtn").style.display = 'none';
	    }

	    if (selectedItemValue == 'E-Transfer') {

	        document.getElementById("div_cash").style.display = 'none';
	        document.getElementById("div_etransfer").style.display = 'block';
	        document.getElementById("div_common").style.display = 'block';
	        document.getElementById("div_etransferbtn").style.display = 'block';
	        document.getElementById("div_chq_dd").style.display = 'none';
	        document.getElementById("div_cheque").style.display = 'none';
	    }
	}





	function uploadrequest_cash_validation(input, e)//OnClientClick="return uploadrequest_cash_validation(this,event)"
	{
	    if (document.getElementById('ctl00_ContentPlaceHolder1_DropDownList1').value == "Select") {
	        alert("Please Select Mode of Payment!");
	        document.getElementById('ctl00_ContentPlaceHolder1_DropDownList1').focus();
	        return false;
	    }

	    else if (document.getElementById('ctl00_ContentPlaceHolder1_DropDownList2').value == "Select") {
	    alert("Please Select Deposited in!");
	        document.getElementById('ctl00_ContentPlaceHolder1_DropDownList2').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').value == "") {
	            alert("Please Enter City or Branch!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox1').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').value == "") {
	            alert("Please Enter Amount!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox2').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').value == "") {
	        alert("Please Enter Date !");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').value == "") {
	            alert("Please Enter Date of Deposit!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox3').focus();
	        return false;
	    }
	}



	function uploadrequest_etransfer_validation(input, e)//OnClientClick="return uploadrequest_etransfer_validation(this,event)"
	{
	       if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox9').value == "") {
	           alert("Please Enter Amount!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox9').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox5').value == "") {
	            alert("Please Enter Date!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox5').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_ddl_transferin').value == "Select") {
	            alert("Please Select Transfer in !");
	            document.getElementById('ctl00_ContentPlaceHolder1_ddl_transferin').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox7').value == "") {
	            alert("Please Enter  Beneficiary Account no.!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox7').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox28').value == "") {
	            alert("Please Enter  Beneficiary Account name.!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox28').focus();
	        return false;
	    }
	    
	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox8').value == "") {
	            alert("Please Enter  Beneficiary Branch!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox8').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox10').value == "") {
	            alert("Please Enter  Beneficiary City!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox10').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox11').value == "") {
	            alert("Please Enter Your Account no.!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox11').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox12').value == "") {
	            alert("Please Enter Your Account Name!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox12').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox13').value == "") {
	            alert("Please Enter Your Bank Branch!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox13').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox14').value == "") {
	            alert("Please Enter Your City!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox14').focus();
	        return false;
	    }

	}
	
	
	
	
	//////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

	function uploadrequest_cheq_dd_validation(input, e)//OnClientClick="return uploadrequest_cheq_dd_validation(this,event)"
	{
	    if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox16').value == "") {
	        alert("Please Enter Cheque/DD Amount!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox16').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox17').value == "") {
	        alert("Please Enter Date!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox17').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_DropDownList3').value == "Select") {
	            alert("Please select Deposited in !");
	        document.getElementById('ctl00_ContentPlaceHolder1_DropDownList3').focus();
	        return false;
	    }


	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox19').value == "") {
	            alert("Please Enter Cheque No.!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox19').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox28').value == "") {
	        alert("Please Enter  Beneficiary Account name.!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox28').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox8').value == "") {
	        alert("Please Enter  Beneficiary Branch!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox8').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox10').value == "") {
	        alert("Please Enter  Beneficiary City!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox10').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox11').value == "") {
	        alert("Please Enter Your Account no.!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox11').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox12').value == "") {
	        alert("Please Enter Your Account Name!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox12').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox13').value == "") {
	        alert("Please Enter Your Bank Branch!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox13').focus();
	        return false;
	    }

	    else
	        if (document.getElementById('ctl00_ContentPlaceHolder1_TextBox14').value == "") {
	        alert("Please Enter Your City!");
	        document.getElementById('ctl00_ContentPlaceHolder1_TextBox14').focus();
	        return false;
	    }

	}





	function validate_feedback_air(input, e)//OnClientClick="return validate_feedback(this,event)"
	{
	    if (document.getElementById('ctl00_ContentPlaceHolder1_ddlProbair').value == "Select") {
	        alert("Please Select Problem!");
	        document.getElementById('ctl00_ContentPlaceHolder1_ddlProbair').focus();
	        return false;
	    }
	    else if (document.getElementById('ctl00_ContentPlaceHolder1_txtCommentair').value == "") {
	        alert("Please Enter Comment !");
	        document.getElementById('ctl00_ContentPlaceHolder1_txtCommentair').focus();
	        return false;
	    }
	}



	function validate_feedback_mobile(input, e)//OnClientClick="return validate_feedback_mobile(this,event)"
	{
	    if (document.getElementById('ctl00_ContentPlaceHolder1_ddlProbmobile').value == "Select") {
	        alert("Please Select Problem!");
	        document.getElementById('ctl00_ContentPlaceHolder1_ddlProbmobile').focus();
	        return false;
	    }
	    else if (document.getElementById('ctl00_ContentPlaceHolder1_txtMobilemob').value == "") {
	        alert("Please Enter Mobile No.!");
	        document.getElementById('ctl00_ContentPlaceHolder1_txtMobilemob').focus();
	        return false;
	    }
	    else if (document.getElementById('ctl00_ContentPlaceHolder1_txtAmountmob').value == "") {
	        alert("Please Enter Amount!");
	        document.getElementById('ctl00_ContentPlaceHolder1_txtAmountmob').focus();
	        return false;
	    }

	    else if (document.getElementById('ctl00_ContentPlaceHolder1_txtDescriptionmob').value == "") {
	        alert("Please Enter Description!");
	        document.getElementById('ctl00_ContentPlaceHolder1_txtDescriptionmob').focus();
	        return false;
	    }
	}


	function validate_feedback_dthrecharge(input, e)//OnClientClick="return validate_feedback_dthrecharge(this,event)"
	{
	    if (document.getElementById('ctl00_ContentPlaceHolder1_ddlProbdth').value == "Select")  {
	        alert("Please Select Problem!");
	        document.getElementById('ctl00_ContentPlaceHolder1_ddlProbdth').focus();
	        return false;
	    }
	    else if (document.getElementById('ctl00_ContentPlaceHolder1_txtMobdth').value == "") {
	            alert("Please Enter Mobile No.!");
                document.getElementById('ctl00_ContentPlaceHolder1_txtMobdth').focus();
                return false;
            }

            else if (document.getElementById('ctl00_ContentPlaceHolder1_txtAmountdth').value == "") {
	            alert("Please Enter Amount!");
	            document.getElementById('ctl00_ContentPlaceHolder1_txtAmountdth').focus();
                return false;
            }
            else if (document.getElementById('ctl00_ContentPlaceHolder1_txtDescriptiondth').value == "") {
	            alert("Please Enter Description!");
	            document.getElementById('ctl00_ContentPlaceHolder1_txtDescriptiondth').focus();
                return false;
            }
	}